Package: org.codehaus.groovy.util

## [Java] Class DoubleKeyHashMap

- org.codehaus.groovy.util.DoubleKeyHashMap

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `DoubleKeyHashMap.Entry` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ComplexKeyHashMap` | `DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `checkEquals(Entry e, Object key1, Object key2)`
    `DoubleKeyHashMap.Entry` | `createEntry()`
    `Object` | `get(Object key1, Object key2)`
    `DoubleKeyHashMap.Entry` | `getOrPut(Object key1, Object key2)`
    `Entry` | `remove(Object key1, Object key2)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ComplexKeyHashMap` | `ComplexKeyHashMap, ComplexKeyHashMap, ComplexKeyHashMap, clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public boolean checkEquals(Entry e, Object key1, Object key2)

    - #### public DoubleKeyHashMap.Entry createEntry()

    - #### public final Object get(Object key1, Object key2)

    - #### public DoubleKeyHashMap.Entry getOrPut(Object key1, Object key2)

    - #### public final Entry remove(Object key1, Object key2)